package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.io.Serializable;


public class SubstanceDescription implements Serializable {
	
	private static final long serialVersionUID = 1L;

	
	private String id;
	
	private String substanceName;

	private SubstanceDetail substanceDetail;

	private String langDialect;
	
	private String acceptability;
	
	public String getLangDialect() {
		return langDialect;
	}

	public void setLangDialect(String langDialect) {
		this.langDialect = langDialect;
	}

	public String getAcceptability() {
		return acceptability;
	}

	public void setAcceptability(String acceptability) {
		this.acceptability = acceptability;
	}

	public SubstanceDescription() {
		super();
	}

	public SubstanceDescription(String id, String substanceName) {
		super();
		this.id = id;
		this.substanceName = substanceName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getSubstanceName() {
		return substanceName;
	}

	public void setSubstanceName(String substanceName) {
		this.substanceName = substanceName;
	}

	public SubstanceDetail getSubstanceDetail() {
		return substanceDetail;
	}

	public void setSubstanceDetail(SubstanceDetail substanceDetail) {
		this.substanceDetail = substanceDetail;
	}

}